Subject: [bess] handling DAD in draft-ietf-bess-evpn-inter-subnet-forwarding-05

From: Sowmini Varadhan <[email-masked]>
Date: Mon, 17 Sep 2018 18:47:58 -0400

hi,

I have a question about Section 4.1.1 ("Initiating an APR Request upon a Move")
in draft-ietf-bess-evpn-inter-subnet-forwarding-05 which has the paragraph:

"Since this NVE has previously learned the same MAC and IP addresses
 from the source NVE, it recognizes that there has been a MAC move and
 it initiates MAC mobility procedures per [RFC7432] by advertising an
 EVPN MAC/IP route with both the MAC and IP addresses filled in along
 with MAC Mobility Extended Community with the sequence number
 incremented by one."

but the Grat ARP may be an indication of a duplicate address, or it
may have been manufactured  by a malicious node, in which case this is not
a mac-move.

Should the target NVE first check with the src NVE that the
original (ip, mac) binding does not exist at the source NVE
before advertising the MAC route?

The next paragraph in Section 4.1.1 says
"The source NVE upon receiving this MAC/IP advertisement, realizes
 that the MAC has moved to the target NVE. It updates its MAC-VRF and
 IP-VRF table accordingly with the adjacency information of the target
 NVE and withdraws its EVPN MAC/IP route. Furthermore, it sends an ARP
 probe locally to ensure that the MAC is gone and it deletes its ARP
 entry corresponding to that <IP, MAC> when there is no ARP response."

One minor nit here is that the ARP probe should really check that
the IP address is gone (i.e. the IP address is not duplicate),
and this check should be done *before* the target NVE gets to declare
that the TS has moved?

(same thing for section 4.1.2, where the target NVE learns the
<IP, MAC> at the new location from the data packet without an
intervening GARP)

Thanks
--Sowmini